Can I Run Tyranny: The Bastard’s Wound?

Published on January 17, 2020

Here are the Tyranny: The Bastard’s Wound System Requirements (Minimum)

  • CPU: Intel Core 2 Quad Q9505 @ 2.80 GHz / AMD Athlon II X4 840 @ 3.10 GHz
  • PROCESSOR SPEED:
  • MEMORY (RAM): 4 GB
  • OPERATING SYSTEM: Windows 7 64-bit or newer
  • GRAPHICS CARD: ATI Radeon HD 5770 or NVIDIA GeForce GTS450 with 1GB VRAM
  • PIXEL SHADER: 5.0
  • VERTEX SHADER: 5.0
  • SOUND CARD: DirectX Compatible Sound Card
  • DEDICATED RAM (VIDEO): 512 MB